プロフィールを更新
/users/me認証中ユーザー自身のプロフィールを更新します。送信したフィールドのみが更新されます(部分更新)。null を送るとその値をクリアします。
| 認証 | 要ログイン |
|---|
リクエストボディ
firstName / lastNamestring | null氏名(英語表記)。各 255 文字以内。使用できるのは半角英数字・スペース・ハイフン・アポストロフィ・ピリオドのみ。
nativeNamestring | null現地語表記の氏名。文字種の制限なし。
titlestring | null役職・学部など。文字数制限なし。
biostring | null自己紹介。文字数制限なし。
languagesstring[] | null使用言語コードの配列。各要素 32 文字以内。
displayLocale\"ja\" | \"en\" | null表示言語。"ja" または "en" のみ(空文字は null 扱い)
avatarUrl / eventFaceImageUrlstring | null画像 URL。有効な URL 形式であること。アップロード系エンドポイントが返した URL を指定する。
birthDatestring | null生年月日。YYYY-MM-DD 形式。
genderstring | nullmale / female / other / undisclosed のいずれか。
locationobject | null所在地。placeId・countryCode・displayText・name・locality・city・state・country のいずれかを 1 つ以上含むオブジェクト。null でクリア。
socialLinksobject | nullSNS リンク。
tags / industryTags / skillTags / hobbyTagsstring[]タグ名の配列。各要素 100 文字以内(前後の空白は除去される)
オブジェクトの構造
location
Google Places 由来の所在地情報。placeId / countryCode / displayText / name / locality / city / state / country のいずれかを 1 つ以上含む必要があります。null または空文字でクリアできます。
placeIdstringGoogle Places の場所 ID。
displayTextstring表示用のテキスト(例: 東京都渋谷区)
name / shortNamestring場所名・略称。
countryCode / countrystring国コード(JP など)と国名。
state / locality / citystring都道府県・州、地域、市区町村。
zipCode / address / buildingstring郵便番号・住所・建物名。
geoobject座標(lat / lng)
googleMapsURIstringGoogle マップの URL。
{
"placeId": "ChIJ...",
"displayText": "東京都渋谷区",
"countryCode": "JP",
"state": "東京都",
"city": "渋谷区",
"geo": { "lat": 35.6595, "lng": 139.7005 }
}socialLinks
各 SNS のユーザー名または URL。指定しなかったキーは変更されません。
x / twitterstringX(旧 Twitter)
instagram / facebook / youtubestringInstagram / Facebook / YouTube。
linkedin / githubstringLinkedIn / GitHub。
whatsappstringWhatsApp。
websitestring個人サイトなどの URL。
{
"twitter": "example",
"github": "example",
"website": "https://example.com"
}curl https://api.4s.link/users/me \-X PUT \-H "Authorization: Bearer 4s_at_..." \-H "Content-Type: application/json" \-d '{"title": "Engineer","bio": "4S で開発しています","languages": ["ja", "en"]}'
{"id": "a1b2c3d4-...","slug": "taro","firstName": "太郎","lastName": "山田","email": "taro@example.com","title": "Engineer","bio": "4S で開発しています","languages": ["ja", "en"],"updatedAt": "2026-08-18T00:00:00.000Z"}